local addon = ...

local function CreateButton(name, command, description)
	_G["BINDING_NAME_CLICK "..name..":LeftButton"] = description
	local button = CreateFrame("Button", name, nil, "SecureActionButtonTemplate")
	button:SetAttribute("type", "macro")
	button:SetAttribute("macrotext", command)
	button:RegisterForClicks("LeftButtonDown")
end

for i=1,8 do
	CreateButton("WorldMarkerKeyBinding"..i, "/cwm "..i.."\n/wm "..i, _G["WORLD_MARKER"..i])
end

CreateButton("WorldMarkerKeyBindingC", "/cwm 0", REMOVE_WORLD_MARKERS)
